net.sf.jasperreports.engine.type

## Enum ColorEnum

- java.lang.Object
- - java.lang.Enum<ColorEnum>
  - - net.sf.jasperreports.engine.type.ColorEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColorEnum>

      public enum ColorEnum
      extends java.lang.Enum<ColorEnum>

  Version:
    $Id: ColorEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLACK`
    `BLUE`
    `CYAN`
    `DARK_GRAY`
    `GRAY`
    `GREEN`
    `LIGHT_GRAY`
    `MAGENTA`
    `ORANGE`
    `PINK`
    `RED`
    `WHITE`
    `YELLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColorEnum` | `getByColor(java.awt.Color color)`
    `static ColorEnum` | `getByName(java.lang.String name)`
    `java.awt.Color` | `getColor()`
    `java.lang.String` | `getName()`
    `static ColorEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColorEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACK

          public static final ColorEnum BLACK

    - #### BLUE

          public static final ColorEnum BLUE

    - #### CYAN

          public static final ColorEnum CYAN

    - #### DARK_GRAY

          public static final ColorEnum DARK_GRAY

    - #### GRAY

          public static final ColorEnum GRAY

    - #### GREEN

          public static final ColorEnum GREEN

    - #### LIGHT_GRAY

          public static final ColorEnum LIGHT_GRAY

    - #### MAGENTA

          public static final ColorEnum MAGENTA

    - #### ORANGE

          public static final ColorEnum ORANGE

    - #### PINK

          public static final ColorEnum PINK

    - #### RED

          public static final ColorEnum RED

    - #### YELLOW

          public static final ColorEnum YELLOW

    - #### WHITE

          public static final ColorEnum WHITE

  - ### Method Detail

    - #### values

          public static ColorEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColorEnum c : ColorEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColorEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getColor

          public final java.awt.Color getColor()

    - #### getName

          public java.lang.String getName()

    - #### getByName

          public static ColorEnum getByName(java.lang.String name)

    - #### getByColor

          public static ColorEnum getByColor(java.awt.Color color)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com